OpenIdConnectProviderProps Struct
Initialization properties for OpenIdConnectProvider.
Example
ts
import * as cdk from 'aws-cdk-lib';
// Step 1: Add retain policy to existing provider
const existingProvider = new eks.OpenIdConnectProvider(this, 'Provider', {
url: 'https://oidc.eks.us-west-2.amazonaws.com/id/EXAMPLE',
removalPolicy: cdk.RemovalPolicy.RETAIN, // Add this line
});
Properties
removalPolicyoptionalRemovalPolicyremoval_policyoptionalRemovalPolicyremovalPolicyoptionalRemovalPolicyRemovalPolicyoptionalRemovalPolicyRemovalPolicyoptionalRemovalPolicy= RemovalPolicy.DESTROY#The removal policy to apply to the OpenID Connect Provider.
The URL of the identity provider.
notes
The URL must begin with https:// and should correspond to the iss claim in the provider's OpenID Connect ID tokens. Per the OIDC standard, path components are allowed but query parameters are not. Typically the URL consists of only a hostname, like https://server.example.org or https://example.com.
You can find your OIDC Issuer URL by: aws eks describe-cluster --name %cluster_name% --query "cluster.identity.oidc.issuer" --output text